Lisp needed

Discussion in 'AutoCAD' started by The-trooper, Apr 3, 2006.

  1. The-trooper

    The-trooper Guest

    Hi everyone

    Does anyone know of a lisp (lisps) that can:
    - select objects that don't have color and/or linetype "by layer"
    - select objects that don't have linetype scale "1.0"

    Need it for IntelliCad so Acad's filter and qselect are not an option.


    Thanks in advance!
     
    The-trooper, Apr 3, 2006
    #1
  2. The-trooper

    Paul Turvill Guest

    (ssget "x" '((-4 . "<NOT")(62 . 256)(-4 . "NOT>")))
    returns objects with color not BYLAYER.

    (ssget "x" '((-4 . "<NOT")(6 . "BYLAYER")(-4 . "NOT>")))
    returns objects with linetypes other than BYLAYER.

    (ssget "x" '((-4 . "<NOT")(48 . 1.0)(-4 . "NOT>")))
    returns objects with LTSCALE not equal to 1.0.

    You can do all at once with

    (setq ss
    (ssget "x"
    '((-4 . "<OR")
    ((-4 . "<NOT")(62 . 256)(-4 . "NOT>"))
    ((-4 . "<NOT")(6 . "BYLAYER")(-4 . "NOT>"))
    ((-4 . "<NOT")(48 . 1.0)(-4 . "NOT>"))
    (-4 . "OR>"))
    )
    )
    ___
     
    Paul Turvill, Apr 4, 2006
    #2
  3. The-trooper

    Paul Turvill Guest

    Oops ... that should be
    (setq ss
    (ssget "x"
    '((-4 . "<OR")
    (-4 . "<NOT")(62 . 256)(-4 . "NOT>")
    (-4 . "<NOT")(6 . "BYLAYER")(-4 . "NOT>")
    (-4 . "<NOT")(48 . 1.0)(-4 . "NOT>")
    (-4 . "OR>"))
    )
    )

    Sorry.
    ___
     
    Paul Turvill, Apr 4, 2006
    #3
  4. The-trooper

    The-trooper Guest

    Thanks Paul, works great!
     
    The-trooper, Apr 4, 2006
    #4
Ask a Question

Want to reply to this thread or ask your own question?

You'll need to choose a username for the site, which only take a couple of moments (here). After that, you can post your question and our members will help you out.